Type to search.

Run a tool

Base URL
https://{kibana_url}
  • POST /api/agent_builder/tools/_execute
  • POST /s/{space_id}/api/agent_builder/tools/_execute
Auth

Run a tool with parameters. Use this endpoint to run a tool directly with specified inputs and optional external connector integration. To learn more about Agent Builder tools, refer to the tools documentation.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

connector_id string

Optional connector ID for tools that require external integrations.

tool_id string required

The ID of the tool to execute.

tool_params map string to object required

Parameters to pass to the tool execution. See examples for details

Response

200

Indicates a successful response

application/json